Mailinglist Archive: opensuse-security-announce (18 mails)

< Previous Next >
[security-announce] SUSE-SU-2014:0535-1: important: Security update for flash-player
SUSE Security Update: Security update for flash-player
______________________________________________________________________________

Announcement ID: SUSE-SU-2014:0535-1
Rating: important
References: #872692
Cross-References: CVE-2014-0506 CVE-2014-0507 CVE-2014-0508
CVE-2014-0509
Affected Products:
SUSE Linux Enterprise Desktop 11 SP3
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.
It includes one version update.

Description:


Adobe flash-player has been updated to version 11.2.202.350
to resolve security issues and bugs. More information can
be found at

http://helpx.adobe.com/security/products/flash-player/apsb14
-09.html
<http://helpx.adobe.com/security/products/flash-player/apsb1
4-09.html>

The following security issues have been fixed:

* a use-after-free vulnerability that could have
resulted in arbitrary code execution (CVE-2014-0506).
* a buffer overflow vulnerability that could have
resulted in arbitrary code execution (CVE-2014-0507).
* a security bypass vulnerability that could have lead
to information disclosure (CVE-2014-0508).
* a cross-site-scripting vulnerability (CVE-2014-0509).

Security Issue references:

* CVE-2014-0506
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0506
>
* CVE-2014-0507
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0507
>
* CVE-2014-0508
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0508
>
* CVE-2014-0509
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0509
>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Desktop 11 SP3:

zypper in -t patch sledsp3-flash-player-9120

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Desktop 11 SP3 (i586 x86_64) [New Version:
11.2.202.350]:

flash-player-11.2.202.350-0.3.1
flash-player-gnome-11.2.202.350-0.3.1
flash-player-kde4-11.2.202.350-0.3.1


References:

http://support.novell.com/security/cve/CVE-2014-0506.html
http://support.novell.com/security/cve/CVE-2014-0507.html
http://support.novell.com/security/cve/CVE-2014-0508.html
http://support.novell.com/security/cve/CVE-2014-0509.html
https://bugzilla.novell.com/872692

http://download.suse.com/patch/finder/?keywords=f2e86f8ff4aea106f143b9f7f5880bba

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages